/* Needs to be adapted for Perkin Elmer version */
/* As it stands, it is as it came from UCSF */

	/* LINTLIBRARY */
#include "../h/local.h"
#include "../h/param.h"
#include "../h/systm.h"
#include "../h/dir.h"
#include "../h/user.h"
#include "../h/tty.h"

lowinit()
{
	/*
	 * Routines called from interrupt vectors.
	 */
	clock((dev_t)1, 2, 3, 4, 5, (caddr_t)6, 7);
	if (runrun) ;
	trap((dev_t)1, 2, 3, 4, 5, (int *)6, 7);
	klrint((dev_t)1); klxint((dev_t)1);
#ifdef	CGL_LOCAL
	if (rtpp) runrtp();
	hpintr();
	tmintr();
	rkintr();
	ecsintr();
	psrtci(); pssysi(); psdevi(); psdmai();
	dmint((dev_t)1); dhrint((dev_t)1); dhxint((dev_t)1);
	vpint();
	dnint();
	duprint(); dupxint();
#endif
}

#ifdef	CGL_LOCAL
int	phart, idledsp;
int	pwrup() {;}
int	reboot() {;}
int	reset() {;}
	/* ARGSUSED */
int	copy1seg(uaddr, n) {;}
#endif

int	waitloc;
struct	user u;

	/* ARGSUSED */
int	savfp(base) struct ufps *base; {;}
	/* ARGSUSED */
int	restfp(base) struct ufps *base; {;}
	/* ARGSUSED */
int	stst(i) int *i; {;}
	/* ARGSUSED */
int	addupc(pc, prof, n) caddr_t pc; struct uprof *prof; {;}
int	display() {;}
	/* ARGSUSED */
int	backup(base) int *base; { return (0); }
	/* ARGSUSED */
int	fubyte(base) caddr_t base; { return (0); }
	/* ARGSUSED */
int	fuibyte(base) caddr_t base; { return (0); }
	/* ARGSUSED */
int	subyte(base, i) caddr_t base; { return (0); }
	/* ARGSUSED */
int	suibyte(base, i) caddr_t base; { return (0); }
	/* ARGSUSED */
int	fuword(base) caddr_t base; { return (0); }
	/* ARGSUSED */
int	fuiword(base) caddr_t base; { return (0); }
	/* ARGSUSED */
int	suword(base, i) caddr_t base; { return (0); }
	/* ARGSUSED */
int	suiword(base, i) caddr_t base; { return (0); }
	/* ARGSUSED */
int	copyin(uaddr, kaddr, n) caddr_t uaddr, kaddr; { return (0); }
	/* ARGSUSED */
int	copyiin(uaddr, kaddr, n) caddr_t uaddr, kaddr; { return (0); }
	/* ARGSUSED */
int	copyout(kaddr, uaddr, n) caddr_t kaddr, uaddr; { return (0); }
	/* ARGSUSED */
int	copyiout(kaddr, uaddr, n) caddr_t kaddr, uaddr; { return (0); }
int	idle() {;}
	/* ARGSUSED */
int	save(svb) label_t svb; { return (0); }
	/* ARGSUSED */
int	resume(paddr, svb) short paddr; label_t svb; { /*NOTREACHED*/ }
int	spl0() { return (0); }
int	spl1() { return (0); }
int	spl4() { return (0); }
int	spl5() { return (0); }
int	spl6() { return (0); }
int	spl7() { return (0); }
	/* ARGSUSED */
int	splx(s) {;}
	/* ARGSUSED */
int	copyseg(uaddr, n) {;}
	/* ARGSUSED */
int	clearseg(n) {;}
